function [ C ] = PhysicalConstants(  )
%PHYSICALCONSTANTS Stae fizyczne w odpowiednich jednostkach
%   Wszystkie uywane stae fizyczne odpowiednio przeskalowane do GHz, mm,
%   ns.

% przenikalnosc magnetyczna (absolut permeability) 
% mi0 = 4*pi*10^-7 [H/m]=1.2566370614e-6 [Vs/Am]
% C.mi0=1.2566370614e-6; % [Vs/Am]
%C.mi0 = 1.2566370614; % [(V ns)/(A mm)]
C.PermeabilityMi = 1.2566370614e-3; % [(kV ns)/(A mm)]

% permittivity Epsilon0
% Przenikalno elektryczna
% eps0 = 8.854188e-12[F/m]
%C.eps0 = 8.854188e-6; % [F/mm = A*ns/V*mm]
C.PermittivityEps = 8.854188e-3; % [F/mm = A*ns/kV*mm]

% pred swiatla
% c=299792458;       % w [M/s] Mega metry bo rozmiary w [mm/s]
C.SpeedOfLight=299.792458;  %  % w [mm/ns] mm bo rozmiary w [mm] a ns bo 1/ns=GHz

% Masa spoczynkowa elektronu
%C.me = 9.109382914e-31; % w [kg]
% kg = N*s^2/m = N*ns^2*(10^9)^2/mm*10^3 = (N*ns^2/mm)*10^15
% e-31*e15=e-16
%C.me = 9.109382914e-16;  % w [N*ns^2/m] ale [N=VAs/m=VAns/mm]*10^6
%C.me = 9.109382914e-10;  % [V A ns^3/mm^2]
C.ElectronMass = 9.109382914e-13;  % [kV A ns^3/mm^2]

% �?adunek elektronu
%C.e = 1.602176620898e-19; %[C=A*s]
C.ElectronCharge = 1.602176620898e-10; %[A*ns]

% przewodnosc wlasna miedzi (mumetal) condictivity
% rezystywnosc resistivity 
%C.ro = 1.68e-8; % [Ohm*m=V*m/A]
%C.ro = 1.68e-5; % [V*mm/A]
C.CopperConductivity = 1.68e-8; % [kV*mm/A]

% Nazewnictwo
C.Comment = 'Constant physical values';


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% if nargout==0
%     e = Phy.e; me = Phy.me; c = Phy.c; eps0 = Phy.eps0; mi0=Phy.mi0;
% %    v0 = [e/(me*c),pi*e/(me*c),e/(pi*me*c),e/(me*c^2),pi*e/(me*c^2),e/(pi*me*c^2),e/(me*c^3),pi*e/(me*c^3),e/(pi*me*c^3)];
% %    v=v0;
% %    str=sprintf('%g, %g, %g, %g, %g, %g, %g, %g, %g',v(1),v(2),v(3),v(4),v(5),v(6),v(7),v(8),v(9));disp(str);
%     str=sprintf('%g, %g',8*e/(me*c),64*e/(me*c));disp(str);
%     str=sprintf('%g, %g',8*1.6e-19/(9.1e-31*2.99e8),64*1.6e-19/(9.1e-31*2.99e8));disp(str);
%     str=sprintf('%g, %g, %g',8*e/(4*pi*eps0*me*c^3),64*e/(4*pi*eps0*me*c^3), e/(me*2*pi));disp(str);
%     str=sprintf('%g, %g, %g',8*1.6e-19/(4*pi*8.85e-12*9.1e-31*(2.99e8)^3),64*1.6e-19/(4*pi*8.85e-12*9.1e-31*(2.99e8)^3), 1.6e-10/(2*pi*9.1e-13));disp(str);
% end
% 


end

