function RFfieldZ = TimeDependentEq1(RFfieldZaxis, RFfield, Time, CalkaP, delta, kZend, Icathode)

S1 = griddedInterpolant(RFfieldZaxis,delta,'spline'); % 'linear', 'spline'
S2 = griddedInterpolant(RFfieldZaxis,CalkaP,'spline');

opts = odeset('AbsTol',1e-1);

sol = pdepe(0,@(z,t,u,DuDz) mfhfun(z,t,u,DuDz,RFfieldZaxis,delta,CalkaP,Icathode,S1,S2),@(z) mfhic(z,RFfield,RFfieldZaxis), @(zl,ul,zr,ur,t) mfhbc(zl,ul,zr,ur,t, kZend),RFfieldZaxis,Time, opts);
RFfieldZ = sol(end,:);
% --------------------------------------------------------------

function [c,f,s] = mfhfun(z,t,u,DuDz,axis,delta,CalkaP,Icathode,S1,S2)
    %del = interp1(axis,delta,z);
    del = S1(z);
    %del = interp1qr(axis,delta,z);
    c = 1i;
    f = DuDz;
    %s = del * u - Icathode*interp1(axis,CalkaP,z);
    s = del * u - Icathode*S2(z);
    %s = del * u - Icathode*interp1qr(axis,CalkaP,z);

% --------------------------------------------------------------
function u0 = mfhic(z, field, axis)
%u0 = interp1(axis, field, z);
idx = find(axis==z);
u0 = field(idx);


% --------------------------------------------------------------
function [pl,ql,pr,qr] = mfhbc(zl,ul,zr,ur,t, kZend)
pl = ul;
ql = 0;
pr = -ur;
qr = 1i/kZend;
%Function that evaluates the terms p and q of the boundary conditions. 
%It has the form [pl,ql,pr,qr] = bcfun(xl,ul,xr,ur,t) where ul is the 
%approximate solution at the left boundary xl = a and ur is the approximate
%solution at the right boundary xr = b. pl and ql are column vectors 
%corresponding to p and the diagonal of q evaluated at xl. 
%Similarly, pr and qr correspond to xr. When m > 0 and a = 0, boundedness
%of the solution near x = 0 requires that the f vanish at a = 0. 
%pdepe imposes this boundary condition automatically and it ignores values 
%returned in pl and ql.
