function chi = bessel_deriv_zeros( M,K,z )
%BESSEL_DERIV_ZEROS Summary of this function goes here
%   Detailed explanation goes here

if (nargin < 3)
    z=(0:.01:200)';
end
if (nargin < 2)
    K=1;
end
    
z=z(:);
Dz=z(2)-z(1);
j=besselj(M,z);
dj=diff(j)/Dz;
dz=z(1:end-1)+Dz/2;

s = sign(dj);
idx=find(diff(s)~=0);
s = dj(idx+1)-dj(idx);
t = dz(idx+1) - dj(idx+1)*Dz./s;

if (size(t,1) < K)
    s=sprintf('Search boundary should be wider than %d, only %d zeros has been found.',z(end),size(t,1));disp(s);
else
    chi = t(K);
end

if (nargout==0)
    plot(z,j,dz,dj,'r.-',t,zeros(size(idx)),'ro',chi,0,'bx'); grid on;
end

end

